Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573799 - Fix setting tx_queue_size when rx_queue_size is not set
Summary: Fix setting tx_queue_size when rx_queue_size is not set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: z3
: 12.0 (Pike)
Assignee: Lee Yarwood
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1573798
Blocks: 1573800
TreeView+ depends on / blocked
 
Reported: 2018-05-02 09:49 UTC by Lee Yarwood
Modified: 2019-09-09 16:40 UTC (History)
13 users (show)

Fixed In Version: openstack-nova-16.0.4-14.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1573798
: 1573800 (view as bug list)
Environment:
Last Closed: 2018-08-20 12:55:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 565573 0 None None None 2018-05-02 09:49:50 UTC

Description Lee Yarwood 2018-05-02 09:49:51 UTC
+++ This bug was initially created as a clone of Bug #1573798 +++

+++ This bug was initially created as a clone of Bug #1573795 +++

Description of problem:
Caused by a typo in Ib6d4a2d6b9072db42d11ecdde0950cf7a7781944.

https://review.openstack.org/#/c/565573/

Version-Release number of selected component (if applicable):
18.0.0

How reproducible:
Always

Steps to Reproduce:
1. Use a vhostuser VIF with only tx_queue_size set.

Actual results:
vhost_tx_queue_size not set when rx_queue_size is not provided.

Expected results:
vhost_tx_queue_size set when rx_queue_size is not provided.

Additional info:

Comment 1 Lon Hohberger 2018-05-22 10:36:39 UTC
According to our records, this should be resolved by openstack-nova-16.0.4-15.el7ost.  This build is available now.

Comment 4 Joe H. Rahme 2018-07-30 17:23:49 UTC
Verified that setting the tx_queue_size config value without setting an rx_queue_size value...

[heat-admin@computeovsdpdk-0 ~]$ sudo docker exec -i nova_libvirt grep '[rt]x' /etc/nova/nova.conf
# Configure virtio rx queue size.
#rx_queue_size=<None>
# Configure virtio tx queue size.
#tx_queue_size=<None>
tx_queue_size=1024



... does yield the proper values in the libvirt xml:


    <interface type='vhostuser'>
      <mac address='fa:16:3e:90:6f:bb'/>
      <source type='unix' path='/var/lib/vhost_sockets/vhud27af13f-6e' mode='server'/>
      <target dev='vhud27af13f-6e'/>
      <model type='virtio'/>
      <driver tx_queue_size='1024'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>

Comment 7 errata-xmlrpc 2018-08-20 12:55:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2332


Note You need to log in before you can comment on or make changes to this bug.